Get a webhook endpoint
curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/webhook-endpoints/{webhookEndpointId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/webhook-endpoints/{webhookEndpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/webhook-endpoints/{webhookEndpointId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/webhook-endpoints/{webhookEndpointId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/webhook-endpoints/{webhookEndpointId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/webhook-endpoints/{webhookEndpointId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 11069,
"resource": "webhook-endpoint",
"partnerId": 1069,
"url": "https://hooks.example-transit.example.com/allride-voucher",
"description": "Redemption and catalog notifications",
"eventTypes": [
"redemption-created",
"redemption-voided",
"catalog-voucher-set-available",
"catalog-voucher-set-unavailable"
],
"status": "active",
"firstSecretRotatedAt": "2026-10-22T10:05:00Z",
"secondSecretRotatedAt": "2026-10-22T10:05:00Z",
"deliveriesBlockedReason": null,
"createdAt": "2026-10-22T10:05:00Z",
"updatedAt": "2026-10-22T10:05:00Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/webhook-endpoints/11069",
"type": "application/json"
},
"deliveries": {
"href": "https://api.voucher.allride.io/partner/v1/webhook-deliveries?filter%5BwebhookEndpointId%5D=11069",
"type": "application/json"
}
}
}
}Webhook endpoints
Get a webhook endpoint
Returns one endpoint without its secrets.
Required permissions: view-webhooks · API keys: allowed
GET
/
partner
/
v1
/
webhook-endpoints
/
{webhookEndpointId}
Get a webhook endpoint
curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/webhook-endpoints/{webhookEndpointId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/webhook-endpoints/{webhookEndpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/webhook-endpoints/{webhookEndpointId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/webhook-endpoints/{webhookEndpointId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/webhook-endpoints/{webhookEndpointId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/webhook-endpoints/{webhookEndpointId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 11069,
"resource": "webhook-endpoint",
"partnerId": 1069,
"url": "https://hooks.example-transit.example.com/allride-voucher",
"description": "Redemption and catalog notifications",
"eventTypes": [
"redemption-created",
"redemption-voided",
"catalog-voucher-set-available",
"catalog-voucher-set-unavailable"
],
"status": "active",
"firstSecretRotatedAt": "2026-10-22T10:05:00Z",
"secondSecretRotatedAt": "2026-10-22T10:05:00Z",
"deliveriesBlockedReason": null,
"createdAt": "2026-10-22T10:05:00Z",
"updatedAt": "2026-10-22T10:05:00Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/webhook-endpoints/11069",
"type": "application/json"
},
"deliveries": {
"href": "https://api.voucher.allride.io/partner/v1/webhook-deliveries?filter%5BwebhookEndpointId%5D=11069",
"type": "application/json"
}
}
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Path Parameters
Webhook endpoint id. Unsigned 64-bit integer (ids and large counters). May exceed 2^53; parse with a BigInt-safe JSON parser in JavaScript.
Required range:
0 <= x <= 18446744073709552000Response
OK
Single-object envelope around a WebhookEndpoint.
A webhook endpoint (secrets are never returned after they are issued).
Show child attributes
Show child attributes